forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From EMMEL Thomas <thomas.em...@3ds.com>
Subject Re: cannot 'forrest run' after 'forrest seed'
Date Wed, 26 Nov 2008 07:14:53 GMT
David,

finally I moved to dev (after recognizing that my subscription response was catched by outlooks
junk folder...)

I tried what you proposed but this is not my problem.
The lines in my forrest.properties are:

# Run "forrest available-plugins" for a list of plug-ins currently available.
project.required.plugins=org.apache.forrest.plugin.output.pdf,org.apache.forrest.plugin.input.OpenOffice.org

# codename: Dispatcher
# Add the following plugins to project.required.plugins:
#org.apache.forrest.plugin.internal.dispatcher,org.apache.forrest.themes.core,org.apache.forrest.plugin.output.inputModule

so you see, that the inputModule is not activated here.
In addition, as I said, this happens for me as well after a

forrest seed
forrest run

so it is not related to my project.

Can you verify that?

Thanks

Thomas


EMMEL Thomas wrote:
> 
> OK sorry, transfered to dev-list:
> 
> My system is Linux (SuSE 10.2, x86_64).
> I tried to find the point were it was broken:
> It is svn revision 694101 when it happened, 694100 works.
> There was a change in Coccon from 2.2dev to 2.1.12dev ????
> 
> D    lib/core/cocoon-2.2.0-dev.jar
> ...
> A    lib/core/cocoon-2.1.12-dev.jar

Before going further with this investigation,
see my response today on the user list.

Does that solve your problem with the current
head of SVN trunk 0.9-dev? i.e. inputModule has
been moved to core, so remove its declaration from
forrest.properties "project.required.plugins".

Ross Gardler wrote to user@:
> EMMEL Thomas wrote:
> >
> > another problem this morning:
> > I use the current 0.9dev svn-version.
> 
> What operating system are you on?
> 
> There is a known issue with 0.9-dev on windows.
> 
> Please note, discussions about the svn head version should be on the
> developers list as it is scary for users to read that Forrest doesn't
> work - when the released version does.
> 
> Ross
> 
> >
> > Make a fresh project and run it with
> >
> > forrest seed
> > forrest run
> >
> > Now try to contact the server.
> > I get this error:
> >
> >
> >   Internal Server Error
> >
> > Message: null
> >
> > Description: No details available.
> >
> > Sender: org.apache.cocoon.servlet.CocoonServlet
> >
> > Source: Cocoon Servlet
> >
> > Request URI
> >
> > cause
> >
> > org.apache.forrest.generation.ModuleGenerator
> >
> > request-uri
> >
> > /
> >
> > Where can I find any further info.
> >
> > Thanks in advance
> >
> > Thomas
> >
> >
> 


Mime
View raw message